//
//  ElisMainView.h
//  Elis Colors
//
//  Created by 柳 on 09/09/12.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

// Elisの一番たいせつなビュー。
// 動画を演算した結果を表示するところ。

#import <Cocoa/Cocoa.h>
#import "ElisBase.h"
#import "ElisLayer.h"

#define TRACK_SIZE 32

@class ElisController;

id mainView;

@interface ElisMainView : NSOpenGLView {
    IBOutlet ElisController* _mainController;
    NSRecursiveLock* lock;
    NSDate *startTime;
    QTTime timeOffset;
    CVTimeStamp* stamp;
    QTTime _qt;
    
    NSMutableArray* layerSet;
    ElisLayer** sortedLayerSet;
    
    CVDisplayLinkRef displayLink;
    CIContext* ciContext;
}

- (void)startDisplayLink;
- (void)stopDisplayLink;

@end
