//
//  ElisMedia.h
//  Elis Colors
//
//  Created by 柳 on 09/09/12.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ElisBase.h"

@interface ElisMedia : NSObject {
    QTMovie* movie;  // for Movie and Quartz Composer
    CIImage* image;  // for Image
    QTMovie* sound;  // for Audio
    NSString* text;  // for Text Layer
    NSDictionary* attr;  // for Movie and Quartz Composer
    float speed;  // for Movie    1.0 = 等速, 2.0 = 倍速
    NSString* _path;  // for 全部
    BOOL playing; // for Audio    再生中かどうか
    QTVisualContextRef textureContext;    
}

- (QTTime)duration;
- (id)initWithMovieFile:(NSString*)path;
- (void)play;
- (void)stop;
- (CIImage*)getFrameForTime:(CVTimeStamp*)timeStamp;
- (void)releaseContext;

@end
