//
//  ElisWriter.h
//  Elis Colors
//
//  Created by 柳 on 09/09/17.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

// ファイルへの書き出しを担当するクラス。

#import <Cocoa/Cocoa.h>
#import "ElisBase.h"
#import "ElisLayer.h"

#define GAMMA 0.81818181

@interface ElisWriter : NSObject {
    int fps;
    NSNumber* imageQuality;
    NSString* imageCodec;
    IBOutlet id _mainView;
    IBOutlet id _mainController;
    IBOutlet id _mainWindow;
    IBOutlet id _barSheet;
    IBOutlet id _bar;
    QTMovie* outputMovie;
    NSDictionary* attrs;
    unsigned char* gamma_table;
}

- (void)gammaAdjust:(unsigned char*)pixels size:(int)s;
- (void)addSoundTrack;

@end
