//
//  ElisEffect.h
//  Elis Colors
//
//  Created by 柳 on 09/09/15.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

// ここはいろんなところから呼ばれる。呼び出しもとの差異はここで吸収。
// 微妙にすさまじい。もう弄りたくない。

// いろんなものを隠蔽した結果、ここが汚くなってしまった。
// ここが一番壮絶かも。

// アフィン変換は別クラスに分けるべきだったよね。でも直すの面倒だよね。

#import <Cocoa/Cocoa.h>
#import "ElisMedia.h"
#import "ElisKeyframe.h"

// 角度が意味不明なんだが。なんだよ3.5って。
#define ANGLE_MAX 3.5*4
#define ANGLE_MIN -3.5*4

@interface ElisEffect : NSObject {
    CIFilter* filter;
    NSString* name;
    NSMutableDictionary* params;
    NSDictionary* attrs;
    BOOL generator;
    NSMutableArray* colors, *vecs, *affine;
}

- (void)setEffectValue:(NSString*)key value:(id)v;
- (void)setInputImage:(CIImage*)cm;
- (CIImage*)getImage:(QTTime)time;
- (void)setEffectValueForTime:(NSString *)key value:(float)v time:(QTTime)time;
- (void)setEffectValue:(NSString*)key value:(id)v;
- (float)getEffectValue:(NSString*)key forTime:(QTTime)time;
- (NSMutableDictionary*)getParamDictionary;
- (float)getEffectTrueValue:(NSString*)key forTime:(QTTime)time;
- (void)setEffectTrueValueForTime:(NSString *)key value:(float)v time:(QTTime)time;


@end
