//
//  ElisPropertyTableController.h
//  Elis Colors
//
//  Created by 柳 on 09/09/15.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

// プロパティを表示する部分のコントローラー。
// GUIべったり。

// NSTableViewのデータソース。

#import <Cocoa/Cocoa.h>
#import "ElisBase.h"
#import "ElisLayer.h"
#import "ElisEffect.h"

@class ElisLayer;

@interface ElisPropertyTableController : NSObject {
    NSMutableArray* effects; // エフェクトオブジェクト本体へのポインタたち
    NSMutableArray* propertyNames; // テーブルに表示する項目の名前
    NSMutableArray* valueNames; // 項目名と対応するキー。
    
    IBOutlet id _mainController;
    IBOutlet id _propertyView;
    IBOutlet id _timeLineController;
    
    ElisLayer* interestLayer;
    
    int _rowIndex;
}

- (void)createPropertyTable:(ElisLayer*)layer;
- (IBAction)sliderChanged:(id)sender;
- (float)getSelectedValueForTime:(float)time;
- (BOOL)isSelected;

- (BOOL)tableView:(NSTableView *)aTableView shouldSelectRow:(int)rowIndex;

- (BOOL)canRemoveAllKeyframe;
- (BOOL)canRemoveEffect;

@end
